ASPLinux 11b & old_gcc

Автор: ushakov Дата: 12.01.2006 10:04 Предлагаю в поставку включить компилятор GCC 3.2.x и скрипты для быстрого переключения между компилярорами. За последние несколько дней я убедился в полной неспособности GCC 4 откомпилировать большое число приложений на cpp. Что-то в STL там серьезно поменяли.
Re: ASPLinux 11b & old_gcc 12.01.2006 11:19lg [ftp.asplinux.ru]
[ftp.asplinux.ru]
Вроде все что нужно есть
Re: ASPLinux 11b & old_gcc 12.01.2006 12:12ushakov Спасибо за ответ, попробую заобраться как этим всем пользоваться.
Re: ASPLinux 11b & old_gcc 12.01.2006 12:30ushakov Переезжаю в "Программирование"

[forum.asplinux.ru]
Re: ASPLinux 11b & old_gcc 12.01.2006 12:58ushakov Тут в поиске по форумам нашел упоминание утилиты select-gcc, так вот что-то не найду ее в 11b
Re: ASPLinux 11b & old_gcc 12.01.2006 15:03SlavaZ ---
CC=gcc32 ./configure
make
make install
---
или
---
CC=gcc32 rpmbuild ...
---
Re: ASPLinux 11b & old_gcc 12.01.2006 15:38ushakov Да, но все равно используются библиотеки компилятора 4.0.2, а не 3.2.x ?!
Re: ASPLinux 11b & old_gcc 17.01.2006 23:36vadim можете написать такой [www.klv.lg.ua] скрипт (или парочку) и пользовать нужный gcc

ps в скрипте фортран не учтен (за ненадобностью)
Re: ASPLinux 11b & old_gcc 09.02.2006 18:32ushakov А еще одно решение - подождать более свежей версии софта. Как показала практика - в течении последнего месяца появился весь необходимый мне софт, который теперь собирается и новым компилятором.
RSS-материал